{
    "layer": "top",
    "position": "top",
    "mode": "dock",
    "exclusive": true,
    
    "modules-left": ["sway/workspaces"],
    "modules-center": ["sway/window"],
    "modules-right": [
        "custom/recording",
        "custom/vpn",        
        "cpu",
        "memory",
        "pulseaudio",
        "battery",
        "clock"
    ],

    "sway/workspaces": {
        "disable-scroll": true,
        "all-outputs": false,
        "format": "{name}"
    },

    "sway/window": {
        "format": "{}",
        "max-length": 50,
        "rewrite": {
            "": "Desktop"
        }
    },

    "cpu": { 
        "interval": 5, 
        "format": "CPU: {usage:2}% / " 
    },
    
    "memory": { 
        "interval": 5, 
        "format": "RAM: {used:0.1f}GiB/{total:.0f}GiB / "
    },
    
    "pulseaudio": { 
        "format": "VOL: {volume}% / ", 
        "format-muted": "VOL: Muted / " 
    },
    
    "custom/recording": {
        "exec": "pgrep -x wf-recorder >/dev/null && echo 'RECORDING! / ' || echo ''",
        "interval": 1,
        "format": "{}"
    },
    
    "custom/vpn": { 
        "exec": "python3 ~/.config/sway/main/getvpn.py", 
        "interval": 2, 
        "format": "{alt}{text}" 
    },
    
    "battery": { 
        "interval": 2, 
        "format": "{capacity}% ({status}) / ", 
        "format-charging": "{capacity}% (Charging) / ", 
        "format-plugged": "{capacity}% (Charging) / " 
    },
    
    "clock": { 
        "interval": 1,
        "format": "{:%Y-%m-%d %I:%M %p}"
    }
}